Bug 693391 (CVE-2011-1486) - CVE-2011-1486 libvirt: error reporting in libvirtd is not thread safe
Summary: CVE-2011-1486 libvirt: error reporting in libvirtd is not thread safe
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1486
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 689374 690733 693457 693752 693753
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-04 14:34 UTC by Petr Matousek
Modified: 2019-09-29 12:44 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 14:20:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0478 normal SHIPPED_LIVE Moderate: libvirt security update 2011-05-02 18:16:57 UTC
Red Hat Product Errata RHSA-2011:0479 normal SHIPPED_LIVE Moderate: libvirt security and bug fix update 2011-05-02 18:22:36 UTC

Description Petr Matousek 2011-04-04 14:34:00 UTC
Description of problem:
When several libvirtd threads are reporting errors at the same time,
the errors can get mixed or corrupted, potentially leading to a
libvirtd crash (DoS).

Upstream commit:
https://www.redhat.com/archives/libvir-list/2011-March/msg01087.html

Comment 1 Vincent Danen 2011-04-04 17:41:16 UTC
This was assigned the CVE name CVE-2011-1486:

http://permalink.gmane.org/gmane.comp.security.oss.general/4749

Comment 2 Petr Matousek 2011-04-04 18:06:46 UTC
Created libvirt tracking bugs for this issue

Affects: fedora-all [bug 693457]

Comment 5 Gurhan Ozen 2011-04-29 17:40:11 UTC
Verified with libvirt-0.8.1-27.el6_0.6 :
# ./concurrent_errors $(pidof libvirtd) kvm-rhel6-x86_64
Attempting to connect to hypervisor
Connected to hypervisor at "qemu:///system"
Starting 5 threads
Watching libvirtd PID 4548

^C
#

Comment 6 errata-xmlrpc 2011-05-02 18:17:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0478 https://rhn.redhat.com/errata/RHSA-2011-0478.html

Comment 7 errata-xmlrpc 2011-05-02 18:22:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0479 https://rhn.redhat.com/errata/RHSA-2011-0479.html


Note You need to log in before you can comment on or make changes to this bug.